-----------------------------------------------------------------------------------------------
-- Client Lua Script for HideTitles
-- Copyright (c) NCsoft. All rights reserved
-----------------------------------------------------------------------------------------------
 
require "Window"
require "Apollo"

-- Code by Sezz
 
-----------------------------------------------------------------------------------------------
-- HideTitles Module Definition
-----------------------------------------------------------------------------------------------
local HideTitles = {} 
 
-----------------------------------------------------------------------------------------------
-- Initialization
-----------------------------------------------------------------------------------------------
function HideTitles:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self 

    -- initialize variables here

    return o
end

function HideTitles:Init()
	local bHasConfigureFunction = false
	local strConfigureButtonText = ""
	local tDependencies = {
	--Nameplates, Steadyplates,
	}
    Apollo.RegisterAddon(self, bHasConfigureFunction, strConfigureButtonText, tDependencies)
end
 
-----------------------------------------------------------------------------------------------
-- HideTitles OnLoad
-----------------------------------------------------------------------------------------------
function HideTitles:OnLoad()
	self:InitializeHooks()
end

function HideTitles:InitializeHooks()
	local Nameplates = Apollo.GetAddon("Nameplates");

	if (Nameplates) then
		-- Hide Player Title
		Nameplates._DrawName = Nameplates.DrawName;
		Nameplates.DrawName = function(self, tNameplate)
			local bShowTitle = self.bShowTitle;
			self.bShowTitle = false;
			self:_DrawName(tNameplate);
			self.bShowTitle = bShowTitle;
		end
	end
end

-----------------------------------------------------------------------------------------------
-- HideTitles Functions
-----------------------------------------------------------------------------------------------
-- Define general functions here

--

-----------------------------------------------------------------------------------------------
-- HideTitles Instance
-----------------------------------------------------------------------------------------------
local HideTitlesInst = HideTitles:new()
HideTitlesInst:Init()

